clang 10.0.0git

Public Member Functions | List of all members
clang::PCHContainerOperations Class Reference

A registry of PCHContainerWriter and -Reader objects for different formats. More...

`#include "clang/Serialization/PCHContainerOperations.h"`

## Public Member Functions
| PCHContainerOperations ()
| Automatically registers a RawPCHContainerWriter and RawPCHContainerReader. More...
void | registerWriter (std::unique_ptr< PCHContainerWriter > Writer)
void | registerReader (std::unique_ptr< PCHContainerReader > Reader)
const PCHContainerWriter * | getWriterOrNull (llvm::StringRef Format)
const PCHContainerReader * | getReaderOrNull (llvm::StringRef Format)
const PCHContainerReader & | getRawReader ()

## Detailed Description

A registry of PCHContainerWriter and -Reader objects for different formats.

Definition at line 90 of file PCHContainerOperations.h.

## Constructor & Destructor Documentation

## ◆ PCHContainerOperations()

PCHContainerOperations::PCHContainerOperations | ( |  | ) |

Automatically registers a RawPCHContainerWriter and RawPCHContainerReader.

Definition at line 65 of file PCHContainerOperations.cpp.

## Member Function Documentation

## ◆ getRawReader()

const PCHContainerReader& clang::PCHContainerOperations::getRawReader | ( |  | ) |
| inline

Definition at line 109 of file PCHContainerOperations.h.

## ◆ getReaderOrNull()

const PCHContainerReader* clang::PCHContainerOperations::getReaderOrNull | ( | llvm::StringRef | Format | ) |
| inline

Definition at line 106 of file PCHContainerOperations.h.

## ◆ getWriterOrNull()

const PCHContainerWriter* clang::PCHContainerOperations::getWriterOrNull | ( | llvm::StringRef | Format | ) |
| inline

Definition at line 103 of file PCHContainerOperations.h.

## ◆ registerReader()

void clang::PCHContainerOperations::registerReader | ( | std::unique_ptr< PCHContainerReader > | Reader | ) |
| inline

Definition at line 100 of file PCHContainerOperations.h.

## ◆ registerWriter()

void clang::PCHContainerOperations::registerWriter | ( | std::unique_ptr< PCHContainerWriter > | Writer | ) |
| inline

Definition at line 97 of file PCHContainerOperations.h.

The documentation for this class was generated from the following files:

- include/clang/Serialization/PCHContainerOperations.h
- lib/Serialization/PCHContainerOperations.cpp